%global svnrev 1001

Summary:	Simple program for reading/writing BIOS chips content
Name:		flashrom
Version:	0.9.2
Release:	1%{?dist}
License:	GPLv2
Group:		Applications/System
URL:		http://flashrom.org
Source0:	http://qa.coreboot.org/releases/%{name}-%{version}.tar.bz2
Source1:	http://qa.coreboot.org/releases/%{name}-%{version}.tar.bz2.asc
#Patch0:		flashrom-r710-r%{svnrev}.diff
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# see BZ# 283491, 450273, 495226
ExclusiveArch:	%{ix86} x86_64

%description
Utility which can be used to detect BIOS chips (DIP, PLCC), read their contents
and write new contents on the chips ("flash the chip").

%prep
%setup -q
#%patch0 -p1

%build
CFLAGS="%{optflags}" %{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*

%changelog
* Thu Jun  3 2010 Peter Lemenkov <lemenkov@gmail.com> 0.9.2-1
- Support for new external flashers
- Dozens of added flash chips, chipsets, mainboards
- Selective blockwise erase
- Improved user interface
- Reliability fixes
- Mainboard matching via DMI strings
- Laptop detection which triggers safety measures

* Wed Apr 28 2010 Peter Lemenkov <lemenkov@gmail.com> 0.9.1-4.svn995
- Updated to latest svn ver. 995
- Lots of new chips and m/b

* Fri Mar 12 2010 Peter Lemenkov <lemenkov@gmail.com> 0.9.1-3.svn931
- Updated to latest svn ver. 931
- ASUS A7V8X-X board
- MS-7202 board
- Asus M2NBP-VM CSM board
- HP Vectra VL420SFF board
- Eon EN29F010 chip
- Abit IP35 Pro board
- HP Vectra VL400 board
- Intel E28F004S5 flash chip
- Lots of bugfixes

* Mon Feb  8 2010 Peter Lemenkov <lemenkov@gmail.com> 0.9.1-2.svn893
- Updated to latest svn ver. 893
- ST M29W512B chip
- Tekram P6Pro-A5 board
- Fixed GIGABYTE GA-7ZM board
- SST39SF512 chip
- Fixed SyncMOS S29C51004T chip
- Intel NM10 chipset
- Fixed A25L40PU and A2540PT chip
- Spansion S25FL008A chip
- MSI 651M-L board
- Several Eon EN25Bxx{T,B} chips
- Fixed Sharp LHF00L04 chip
- VIA VT8233A chipset
- MSI K8N Neo4-F board
- Intel Poulsbo chipset
- ECS K7S6A board
- ASRock M3A790GXH/128M board
- Asus M2V-MX board
- Shuttle AK31 board
- Fixed MSI KT4V board
- Asus P4B266LM board
- Asrock P4i65GV board
- Intel 3400 series / 5 series chipset
- W25x32 and W25x64 chips
- Sanyo LF25FW203A chip (sometimes labeled as 25FW203T)
- Shuttle FN25 (SN25P) board
- EPoX EP-8RDA3+ board
- ASUS P5ND2-SLI Deluxe board
- nVidia nForce 4 chipset
- VIA VT82C596 chipset
- Wyse Winterm S50 board
- Dell S1850 board
- Dr. Kaiser PC-Waechter PCI devices

* Fri Sep  4 2009 Peter Lemenkov <lemenkov@gmail.com> 0.9.1-1
- Ver. 0.9.1
- See release notes at http://www.coreboot.org/Flashrom/0.9.1
- Dropped the only patch (no longer needed)
- Changed project's URL

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May  5 2009 Peter Lemenkov <lemenkov@gmail.com> 0.9.0-1
- Ver. 0.9.0

* Tue Apr 14 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.18.20090414svn4107
- Various manpage / README fixes
- Board enable support for HP DL145 G3
- high coreboot table support
- Since now we're using ExclusiveArch

* Wed Mar 11 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.17.20090311svn3984
- MSI MS-7046 board enable
- Intel Desktop Board D201GLY
- Add Am29F080B Am29LV081B SST39VF080 support (untested)
- Board enable for GIGABYTE GA-MA78G-DS3H

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.16.20090112svn3852
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan  8 2009 Peter Lemenkov <lemenkov@gmail.com> 0-0.15.20090112svn3852
- Changed license to GPLv2
- SST49LF020 support
- AMD-768 chipset support
- i631x LPC support
- Support the MX29LV040C
- AMD SB700 flash enable
- Support for the AMD/ATI SB600 southbridge SPI
- SST25VF080B flash chip support
- Support for 32Mbit SPI flash SST25VF032B
- Support for bunch of Fujitsu and Macronix chips

* Mon Nov  3 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.14.20081103svn3723
- Dump ICH8/ICH9/ICH10 SPI registers
- Add additional SPI sector erase and chip erase command
- Add support for the ST M50FW002 chip
- Support for some Numonyx parts (M25PE)
- SPI boot flash support on EP80579
- Support for the Intel 82371MX (MPIIX) southbridge
- Support for the Intel 82371FB PIIX and 82371SB (PIIX3) southbridges
- Support for the VIA VT82C586A/B chipset
- ICH10 support to flashrom
- Support for AM29F002(N)B[BT]

* Mon Oct  6 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.13.20080928svn3602
- More ExcludeArch

* Sun Sep 28 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.12.20080928svn3602
- Proper support for EN29F002(A)(N)[BT]
- Recognize the Intel EP80579 LPC flash interface
- Add support for MSI KT4V
- Support for Winbond W39V040C and MSI K8T Neo2-F

* Sun Jul  6 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.11.20080607svn3418
- AMIC A29002
- flashing system with Nvidia MCP67
- PCI IDs for EPIA-CN
- VIA SPI controller on VT8237S
- ICH7 SPI support
- support for AMIC Technology A49LF040A
- Board enable and autodetection for GIGABYTE GA-7VT600
- Add support for Amic Technology A29040B flash chip
- Board enable and autodetection for BioStar P4M80-M4
- Add support for the ASUS P4B266 board
- Add support for Amic A25L40P SPI flash

* Fri Jun  6 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.10.20080517svn3332
- Exclude sparc64

* Sat May 17 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.9.20080517svn3332
- Fixed %patch0

* Sat May 17 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.8.20080517svn3332
- Support Pm49FL004/2 Block Locking Registers
- Add support for the Atmel AT25DF321 SPI flash
- Lots of new SST flash chip IDs
- Add lots of ATMEL SPI flash chips
- Add SST39VF512, SST39VF010, SST39VF040 support
- Add ICH9 detection to flashrom
- Support for the Winbond W39V080FA series of chips
- Support for flashing on the Kontron 986LCD-M board
- Add board_enable for Artec Group DBE61 and DBE62

* Sat Feb  9 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.7.20080209svn3099
- Add board enable for VIA EPIA SP
- support for devices using AMD Geode companion chip CS5536 that have the
  Boot ROM on NOR flash that is directly connected to FLASH_CS3 (Boot
  Flash Chip Select)
- Add support for the PMC Pm25LV family of SPI flash chips
- Add ids and chip entry for Spansion S25FL016A
- Support for MX25L3205D chip
- Enable MX25L8005 support

* Wed Jan  9 2008 Peter Lemenkov <lemenkov@gmail.com> 0-0.6.20080109svn3036
- support for SST25VF040B flash chip
- enable ga_2761gxdk board
- support for EN29F002(A)(N)B chips
- support for EON EN29F002AT flash chip
- support for 25VF016B flash chip
- support for ST M25P05-A, M25P10-A, M25P20, M25P40, M25P16, M25P32,
  M25P64 and M25P128 flash chips
- support for ST M25P80 flash chip
- support for AT49F002, AT49F002N, AT49F002T and AT49F002NT flash chips
- enable Acorp 6A815EPD board

* Sun Nov 18 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.5.20071118svn2967
- svn ver. 2967 (support for Intel 440MX systems, Fujitsu MBM29F400TC,
  AMD Geode CS5536)

* Sun Oct 28 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.4.20071028svn2897
- typo fix

* Sun Oct 28 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.3.20071028svn2897
- svn ver. 2897 (support for Gigabyte M61P-S3 SPI m/b, Am29LV040B chip)
- flashrom executable now sits in sbindir since it's administrator's tool

* Wed Oct  3 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.2.20071003svn2817
- Added correct BZ# for ExludeArch issue
- Preserved timestamp then installing flashrom
- svn ver. 2817 (support for IT8716F added, added COPYING)

* Thu Sep  6 2007 Peter Lemenkov <lemenkov@gmail.com> 0-0.1.20070830svn2753
- svn ver. 2753 (support for W29C040P and W29EE011 chips added)
- New naming scheme

* Wed Aug 22 2007 Peter Lemenkov <lemenkov@gmail.com> 0.0-1.2744svn
- svnver. 2744

* Sun Aug  5 2007 Peter Lemenkov <lemenkov@gmail.com> 0.0-1.2742svn
- Initial build for FC-Extras
